diff --git a/src/base/emu-i386/simx86/interp.c b/src/base/emu-i386/simx86/interp.c
index 71ce83273c..6393419424 100644
--- a/src/base/emu-i386/simx86/interp.c
+++ b/src/base/emu-i386/simx86/interp.c
@@ -531,8 +531,11 @@ static unsigned int _Interp86(unsigned int PC, int basemode)
 #endif
 #endif
 		P0 = PC;	// P0 changes on instruction boundaries
-		NewNode = 1;
-		if (debug_level('e')==9) dbug_printf("\n%s",e_print_regs());
+		if (!NewNode) {
+			NewNode = 1;
+			/* if NewNode was already 1, the registers are outdated */
+			if (debug_level('e')==9) dbug_printf("\n%s",e_print_regs());
+		}
 		if (debug_level('e')>2) {
 		    char *ds = e_emu_disasm(MEM_BASE32(P0),(~basemode&3),ocs);
 		    ocs = TheCPU.cs;
